FORUMS
Remove All Ads from XDA

[Q&A] [GAPPS][2015-06-01] Open GApps for Android 5.1, 5.0, 4.4

n/a posts
Thanks Meter: 0
 
By QA Bot, Guest on 1st June 2015, 04:00 PM
Post Reply Email Thread
18th June 2015, 04:14 AM |#21  
Mehul.S's Avatar
Senior Member
Flag Mumbai
Thanks Meter: 100
 
More
Which all apps do the packages have??
 
 
18th June 2015, 08:49 AM |#22  
Recognized Developer
Flag The Hague
Thanks Meter: 2,215
 
Donate to Me
More
Quote:
Originally Posted by Miladj

please add pico (uni) to list.

I will consider it, but currently the focus is on the multi-architecture builds.

Quote:
Originally Posted by bland.life

Is the Aroma version totally compatible with an existing non-Aroma installation?

Also can the Aroma version uninstall specific GApp, like just act like an selectable uninstaller of sorts?
I mean to modify an existing installation.

Yes, they are completely compatible with one another, because the AROMA is just a nice graphic interface of the regulare Open GApps stock package.
19th June 2015, 05:06 AM |#23  
Senior Member
Flag mumbai
Thanks Meter: 45
 
More
hi all.
i am new to android dev.
i created the gaps config in this config i dont want some google apps to be installed.
i also want the installer to replace stock apps in cm12.1 rom.
this is what my config file looks like.
can some1 suggest corrections?.
can some1 also tell me how can i remove apks from the gapps zip and how can i add new apk files like for example i dont want crome to be installed but want crome beta to be installed.
this are the contents of the .gapps-config file as i cannot upload .gapps-config files.


CameraGoogle CloudPrint* Docs* Drive* Earth* ExchangeGoogle* Fitness* GooglePlus* Hangouts* Keep* Movies* NewsStand* NewsWidget* Photos* Slides* Wallet* Browser* CalendarStock* CameraStock* CMFileManager* Email* ExchangeStock* FMRadio* KeyboardStock* MMS* PicoTTS* SimToolKit*
19th June 2015, 12:20 PM |#24  
Senior Member
Flag mumbai
Thanks Meter: 45
 
More
hi all i have moto g 2014 xt1068.
i did a clean flash of cm 12.1 nightly rom.
when i flash the open gapps 18june build i get an error command not found.
now i had included the .gappsconfig file but i dont know if it was made properly.
can some1 please create 1 file for me?
i want to do the following.
1. the following apps should not be installed.
CameraGoogle CloudPrint* Docs* Drive* Earth* ExchangeGoogle* Fitness* GooglePlus* Hangouts* Keep* Movies* NewsStand* NewsWidget* Photos* Slides* Wallet.
2. i want the gapps installer to replace the following stock apps.
Browser* CalendarStock* CameraStock* CMFileManager* Email* ExchangeStock* FMRadio* KeyboardStock* MMS* PicoTTS* SimToolKit.

my created config file looks like this.

CameraGoogle CloudPrint* Docs* Drive* Earth* ExchangeGoogle* Fitness* GooglePlus* Hangouts* Keep* Movies* NewsStand* NewsWidget* Photos* Slides* Wallet* Browser* CalendarStock* CameraStock* CMFileManager* Email* ExchangeStock* FMRadio* KeyboardStock* MMS* PicoTTS* SimToolKit*

is this ok?.

i also want to ask how often should we flash the latest gapps build?

lets say i dont want crome to install but i want crome beta to install can i just drop the apk of crome beta in the zip?
19th June 2015, 11:09 PM |#25  
djalfy's Avatar
Senior Member
Thanks Meter: 65
 
More
Quote:
Originally Posted by MastahF

No, GoogleClock will be compatible with all ROMs. But because only 1 application can claim a certain permission, the GoogleClock can *only* function if there are zero traces of the AOSP Clock. That is why one needs to start with a clean /data partition if one wants to start using the Google Clock, because it is almost impossible not to have any traces of the app left if one has ever travelled to another timezone, or has used the alarm function. This also explains why many people face the "-505" error when downloading the Google Clock from the Play Store.

I am using cm 12.1 for samsung galaxy s2+ i9105p by andyxml. I clean flashed today the aroma open gapps and checked the aosp clock app for removal in the aroma installer but it didn't get removed and i cannot install the g clock from the play store. Do you have any suggestion on how to remove the aosp clock successfuly?
20th June 2015, 08:21 AM |#26  
Recognized Developer
Flag The Hague
Thanks Meter: 2,215
 
Donate to Me
More
Quote:
Originally Posted by djalfy

I am using cm 12.1 for samsung galaxy s2+ i9105p by andyxml. I clean flashed today the aroma open gapps and checked the aosp clock app for removal in the aroma installer but it didn't get removed and i cannot install the g clock from the play store. Do you have any suggestion on how to remove the aosp clock successfuly?

In the installer you used there was no Clock App removal yet. Only a LockClock removal (to remove the widget that puts a clock on the lockscreen). Maybe @raulx222 can check whether the description is not confusing for this removal keyword?
If you would check the download of TODAY (Sat Jun 20) you will find a proper Stock Clock Removal (clockstock) and adding Google Clock (clockgoogle). But notice that you have to wipe your data partition to be able to install the Google Clock
The Following User Says Thank You to MastahF For This Useful Post: [ View ]
21st June 2015, 07:07 AM |#27  
Senior Member
Flag Kuala Lumpur
Thanks Meter: 836
 
More
not sure if this is a problem.... but i flashed my new updated ROM nightly and the Jun21 build of Gapps. As always i will wipe /system first... did my normal routine, only to find out that none of the gapps got installed, and now i need to wipe /data since keyboard/clock/camera were all removed but the google versions were not installed

and i also did the mistake of NoDebugLog since i wasn't expecting this to happen... tks
24th June 2015, 10:39 PM |#28  
Recognized Developer
Flag The Hague
Thanks Meter: 2,215
 
Donate to Me
More
Quote:
Originally Posted by Mehul.S

Which all apps do the packages have??

See https://github.com/opengapps/opengap...age-Comparison

Quote:
Originally Posted by austinpinto

hi all i have moto g 2014 xt1068.
i did a clean flash of cm 12.1 nightly rom.
when i flash the open gapps 18june build i get an error command not found.
now i had included the .gappsconfig file but i dont know if it was made properly.
can some1 please create 1 file for me?
i want to do the following.
1. the following apps should not be installed.
CameraGoogle CloudPrint* Docs* Drive* Earth* ExchangeGoogle* Fitness* GooglePlus* Hangouts* Keep* Movies* NewsStand* NewsWidget* Photos* Slides* Wallet.
2. i want the gapps installer to replace the following stock apps.
Browser* CalendarStock* CameraStock* CMFileManager* Email* ExchangeStock* FMRadio* KeyboardStock* MMS* PicoTTS* SimToolKit.

my created config file looks like this.

CameraGoogle CloudPrint* Docs* Drive* Earth* ExchangeGoogle* Fitness* GooglePlus* Hangouts* Keep* Movies* NewsStand* NewsWidget* Photos* Slides* Wallet* Browser* CalendarStock* CameraStock* CMFileManager* Email* ExchangeStock* FMRadio* KeyboardStock* MMS* PicoTTS* SimToolKit*

is this ok?.

i also want to ask how often should we flash the latest gapps build?

lets say i dont want crome to install but i want crome beta to install can i just drop the apk of crome beta in the zip?

Just put those keyword on every new line and you should be fine. And no, you cannot drop in any replacement APKs, because their libraries are extracted and the zips are re-aligned. If you drop in another APK, it will very likely not work (large chance to be broken) and with 100% certainty it will work slower than it should.

Quote:
Originally Posted by chewdaniel

not sure if this is a problem.... but i flashed my new updated ROM nightly and the Jun21 build of Gapps. As always i will wipe /system first... did my normal routine, only to find out that none of the gapps got installed, and now i need to wipe /data since keyboard/clock/camera were all removed but the google versions were not installed

and i also did the mistake of NoDebugLog since i wasn't expecting this to happen... tks

You might have been hit by a small-chance bug in that build, I am not sure, do current daily versions work for you?
25th June 2015, 03:44 AM |#29  
Senior Member
Flag Kuala Lumpur
Thanks Meter: 836
 
More
Yup. They're ok now. Thanks...

Quote:
Originally Posted by MastahF

You might have been hit by a small-chance bug in that build, I am not sure, do current daily versions work for you?

4th July 2015, 06:56 AM |#30  
Junior Member
Thanks Meter: 0
 
More
PA Gaps too big
What happened that is making the stock image 855mb on 7/02/2015 and 875mb on 7/03/2015?
The stock image was only 552mb on 7/01/2015.
4th July 2015, 09:10 AM |#31  
Recognized Developer
Flag The Hague
Thanks Meter: 2,215
 
Donate to Me
More
Quote:
Originally Posted by DJAJSlye

What happened that is making the stock image 855mb on 7/02/2015 and 875mb on 7/03/2015?
The stock image was only 552mb on 7/01/2015.

Starting from the 2nd of July build a lot of packages are available in multiple device specific versions. The download size grew a lot, but installing the correct version of the apps will take up less space in /system and put less stress on lower-end devices, that before were forced to downscale high-res resources.
But are working now on some extra compression within the zip file itself (because ZIP itself is not so good in finding 'duplicate' information between the files). That is still work in progress, but it will reduce the downloadsize again below <500MiB when it is finished.
Post Reply Subscribe to Thread

Tags
auto-qa

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes